# $Revision: 1.4 $, $Date: 2006/05/22 13:02:18 $
%define		pname	towitoko
Summary:	Unix driver for Towitoko smartcard readers
Summary(pl):	Uniksowy sterownik do czytnikw kart procesorowych Towitoko
Name:		pcsc-driver-towitoko
Version:	2.0.7
Release:	3
License:	LGPL
Group:		Libraries
Source0:	http://www.geocities.com/cprados/files/%{pname}-%{version}.tar.gz
# Source0-md5:	6cb2f842ca11aa79692af89d3730f4ce
URL:		http://www.geocities.com/cprados/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
Requires:	pcsc-lite
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library provides a driver for using Towitoko smartcard readers
under UNIX environment.

Supported APIs: CT-API 1.1 and CT-BCS 0.9, PC/SC Lite.

Supported readers: Towitoko Chipdrive Micro, Extern, Extern II,
Intern, and Twin; serial and USB.

Supported smartcards: processor cards (direct and inverse convention,
T=0 and T=1 protocols), memory cards (I2C, 2-wire, 3-wire bus
protocol).

%description -l pl
Ta biblioteka dostarcza sterownik do uywania czytnikw kart
procesorowych Towitoko w rodowisku uniksowym.

Obsugiwane API: CT-API 1.1, CT-BCS 0.9, PC/SC Lite.

Obsugiwane czytniki: Towitoko Chipdrive Micro, Extern, Extern II,
Intern i Twin; podczane do portu szeregowego lub USB.

Obsugiwane karty: procesorowe (w konwencji bezporedniej lub
odwrotnej, protokoy T=0 i T=1), pamiciowe (protokoy I2C oraz z
szyn 2- i 3-liniow).

%prep
%setup -q -n %{pname}-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-shared \
	--with-pcsc-lite-dir=/usr/lib/pcsc

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir}/pcsc/drivers

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS doc/{design.html,reader.conf}
%attr(755,root,root) %{_libdir}/pcsc/drivers/lib*.so*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pcsc-driver-towitoko.spec,v $
Revision 1.4  2006/05/22 13:02:18  glen
- autotools full regen for amd64; rel 3

Revision 1.3  2006/05/22 12:52:43  glen
- rel 2

Revision 1.2  2004/11/03 19:12:29  paladine
- formatting

Revision 1.1  2003/06/30 15:33:08  qboosh
- new
